new version of automake
[scilab.git] / scilab / modules / io / Makefile.in
1 # Makefile.in generated by automake 1.11.2 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
24 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
25 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
26 #
27 # This file must be used under the terms of the CeCILL.
28 # This source file is licensed as described in the file COPYING, which
29 # you should have received as part of this distribution.  The terms
30 # are also available at
31 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
32 #
33
34 ##########
35 ### Makefile included stuff
36 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
37 ##########
38
39
40 VPATH = @srcdir@
41 pkgdatadir = $(datadir)/@PACKAGE@
42 pkgincludedir = $(includedir)/@PACKAGE@
43 pkglibdir = $(libdir)/@PACKAGE@
44 pkglibexecdir = $(libexecdir)/@PACKAGE@
45 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
46 install_sh_DATA = $(install_sh) -c -m 644
47 install_sh_PROGRAM = $(install_sh) -c
48 install_sh_SCRIPT = $(install_sh) -c
49 INSTALL_HEADER = $(INSTALL_DATA)
50 transform = $(program_transform_name)
51 NORMAL_INSTALL = :
52 PRE_INSTALL = :
53 POST_INSTALL = :
54 NORMAL_UNINSTALL = :
55 PRE_UNINSTALL = :
56 POST_UNINSTALL = :
57 build_triplet = @build@
58 host_triplet = @host@
59 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
60         $(top_srcdir)/Makefile.incl.am
61 @NEED_JAVA_TRUE@am__append_1 = java
62 subdir = modules/io
63 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
64 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
65         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
66         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
67         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
68         $(top_srcdir)/m4/intel_compiler.m4 \
69         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
70         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
71         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
72         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
73         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
74         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
75         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
76         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
77         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
78         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
79         $(top_srcdir)/configure.ac
80 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
81         $(ACLOCAL_M4)
82 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
83 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
84 CONFIG_CLEAN_FILES =
85 CONFIG_CLEAN_VPATH_FILES =
86 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
87 am__vpath_adj = case $$p in \
88     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
89     *) f=$$p;; \
90   esac;
91 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
92 am__install_max = 40
93 am__nobase_strip_setup = \
94   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
95 am__nobase_strip = \
96   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
97 am__nobase_list = $(am__nobase_strip_setup); \
98   for p in $$list; do echo "$$p $$p"; done | \
99   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
100   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
101     if (++n[$$2] == $(am__install_max)) \
102       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
103     END { for (dir in files) print dir, files[dir] }'
104 am__base_list = \
105   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
106   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
107 am__uninstall_files_from_dir = { \
108   test -z "$$files" \
109     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
110     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
111          $(am__cd) "$$dir" && rm -f $$files; }; \
112   }
113 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
114         "$(DESTDIR)$(libsciio_la_etcdir)" \
115         "$(DESTDIR)$(libsciio_la_rootdir)" \
116         "$(DESTDIR)$(libsciio_la_sci_gatewaydir)"
117 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
118 libsciio_algo_la_LIBADD =
119 am__objects_1 = libsciio_algo_la-getpidc.lo \
120         libsciio_algo_la-setenvc.lo libsciio_algo_la-systemc.lo \
121         libsciio_algo_la-getenvc.lo libsciio_algo_la-GetenvB.lo \
122         libsciio_algo_la-v2cuniterror.lo
123 am__objects_2 = v2unit.lo newsave.lo v2cunit.lo
124 am_libsciio_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2)
125 libsciio_algo_la_OBJECTS = $(am_libsciio_algo_la_OBJECTS)
126 @MAINTAINER_MODE_FALSE@am_libsciio_algo_la_rpath =
127 @MAINTAINER_MODE_TRUE@am_libsciio_algo_la_rpath =
128 libsciio_la_DEPENDENCIES = libsciio-algo.la
129 am__objects_3 = libsciio_la-sci_read4b.lo libsciio_la-sci_getio.lo \
130         libsciio_la-sci_readb.lo libsciio_la-sci_host.lo \
131         libsciio_la-sci_file.lo libsciio_la-sci_getenv.lo \
132         libsciio_la-sci_write.lo libsciio_la-sci_writeb.lo \
133         libsciio_la-sci_setenv.lo libsciio_la-gw_io.lo \
134         libsciio_la-sci_read.lo libsciio_la-sci_getpid.lo \
135         libsciio_la-sci_write4b.lo libsciio_la-sci_load.lo \
136         libsciio_la-sci_unix.lo libsciio_la-sci_save.lo
137 am__objects_4 = intwrite4b.lo intwritb.lo intwrite.lo intread4b.lo \
138         intread.lo intreadb.lo intfile.lo
139 am_libsciio_la_OBJECTS = $(am__objects_3) $(am__objects_4)
140 libsciio_la_OBJECTS = $(am_libsciio_la_OBJECTS)
141 libsciio_la_LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) \
142         $(LIBTOOLFLAGS) --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) \
143         $(libsciio_la_LDFLAGS) $(LDFLAGS) -o $@
144 @MAINTAINER_MODE_FALSE@am_libsciio_la_rpath =
145 @MAINTAINER_MODE_TRUE@am_libsciio_la_rpath = -rpath $(pkglibdir)
146 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
147 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
148 am__depfiles_maybe = depfiles
149 am__mv = mv -f
150 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
151         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
152 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
153         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
154         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
155 CCLD = $(CC)
156 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
157         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
158         $(LDFLAGS) -o $@
159 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
160 LTF77COMPILE = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
161         --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
162 F77LD = $(F77)
163 F77LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
164         --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) $(AM_LDFLAGS) \
165         $(LDFLAGS) -o $@
166 SOURCES = $(libsciio_algo_la_SOURCES) $(libsciio_la_SOURCES)
167 DIST_SOURCES = $(libsciio_algo_la_SOURCES) $(libsciio_la_SOURCES)
168 DATA = $(libsciio_la_etc_DATA) $(libsciio_la_root_DATA) \
169         $(libsciio_la_sci_gateway_DATA)
170 ETAGS = etags
171 CTAGS = ctags
172 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
173 ACLOCAL = @ACLOCAL@
174 ALL_LINGUAS = @ALL_LINGUAS@
175 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
176 AMTAR = @AMTAR@
177 ANT = @ANT@
178 ANTLR = @ANTLR@
179 AR = @AR@
180 ARPACK_LIBS = @ARPACK_LIBS@
181 AUTOCONF = @AUTOCONF@
182 AUTOHEADER = @AUTOHEADER@
183 AUTOMAKE = @AUTOMAKE@
184 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
185 AWK = @AWK@
186 BATIK = @BATIK@
187 BLAS_LIBS = @BLAS_LIBS@
188 BSH = @BSH@
189 CC = @CC@
190 CCACHE = @CCACHE@
191 CCDEPMODE = @CCDEPMODE@
192 CFLAGS = @CFLAGS@
193 CHECKSTYLE = @CHECKSTYLE@
194 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
195 COMMONS_IO = @COMMONS_IO@
196 COMMONS_LOGGING = @COMMONS_LOGGING@
197 CPP = @CPP@
198 CPPFLAGS = @CPPFLAGS@
199 CXX = @CXX@
200 CXXCPP = @CXXCPP@
201 CXXDEPMODE = @CXXDEPMODE@
202 CXXFLAGS = @CXXFLAGS@
203 CYGPATH_W = @CYGPATH_W@
204 DEFS = @DEFS@
205 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
206 DEPDIR = @DEPDIR@
207 DOCBOOK_ROOT = @DOCBOOK_ROOT@
208 DSYMUTIL = @DSYMUTIL@
209 DUMPBIN = @DUMPBIN@
210 ECHO_C = @ECHO_C@
211 ECHO_N = @ECHO_N@
212 ECHO_T = @ECHO_T@
213 EGREP = @EGREP@
214 EXEEXT = @EXEEXT@
215 F77 = @F77@
216 FFLAGS = @FFLAGS@
217 FFTW3_LIB = @FFTW3_LIB@
218 FFTW_ENABLE = @FFTW_ENABLE@
219 FGREP = @FGREP@
220 FLEXDOCK = @FLEXDOCK@
221 FLIBS = @FLIBS@
222 FOP = @FOP@
223 GENHTML = @GENHTML@
224 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
225 GIWS_BIN = @GIWS_BIN@
226 GLUEGEN_RT = @GLUEGEN_RT@
227 GMSGFMT = @GMSGFMT@
228 GMSGFMT_015 = @GMSGFMT_015@
229 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
230 GREP = @GREP@
231 GUI_ENABLE = @GUI_ENABLE@
232 HDF5_CFLAGS = @HDF5_CFLAGS@
233 HDF5_ENABLE = @HDF5_ENABLE@
234 HDF5_LIBS = @HDF5_LIBS@
235 HELP_ENABLE = @HELP_ENABLE@
236 INSTALL = @INSTALL@
237 INSTALL_DATA = @INSTALL_DATA@
238 INSTALL_PROGRAM = @INSTALL_PROGRAM@
239 INSTALL_SCRIPT = @INSTALL_SCRIPT@
240 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
241 INTLLIBS = @INTLLIBS@
242 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
243 JAR = @JAR@
244 JAVA = @JAVA@
245 JAVAC = @JAVAC@
246 JAVAC_DEBUG = @JAVAC_DEBUG@
247 JAVADOC = @JAVADOC@
248 JAVAH = @JAVAH@
249 JAVASCI_ENABLE = @JAVASCI_ENABLE@
250 JAVA_ENABLE = @JAVA_ENABLE@
251 JAVA_G = @JAVA_G@
252 JAVA_HOME = @JAVA_HOME@
253 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
254 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
255 JCOMMANDER = @JCOMMANDER@
256 JDB = @JDB@
257 JEUCLID_CORE = @JEUCLID_CORE@
258 JGRAPHX = @JGRAPHX@
259 JHALL = @JHALL@
260 JHDF5 = @JHDF5@
261 JLATEXMATH = @JLATEXMATH@
262 JLATEXMATH_FOP = @JLATEXMATH_FOP@
263 JOGL = @JOGL@
264 JROSETTA_API = @JROSETTA_API@
265 JROSETTA_ENGINE = @JROSETTA_ENGINE@
266 JUNIT = @JUNIT@
267 LAPACK_LIBS = @LAPACK_LIBS@
268 LCOV = @LCOV@
269 LD = @LD@
270 LDFLAGS = @LDFLAGS@
271 LIBICONV = @LIBICONV@
272 LIBINTL = @LIBINTL@
273 LIBM = @LIBM@
274 LIBOBJS = @LIBOBJS@
275 LIBS = @LIBS@
276 LIBTOOL = @LIBTOOL@
277 LIPO = @LIPO@
278 LN_S = @LN_S@
279 LOGGING_LEVEL = @LOGGING_LEVEL@
280 LOOKS = @LOOKS@
281 LTLIBICONV = @LTLIBICONV@
282 LTLIBINTL = @LTLIBINTL@
283 LTLIBOBJS = @LTLIBOBJS@
284 MAINT = @MAINT@
285 MAKEINFO = @MAKEINFO@
286 MATIO_CFLAGS = @MATIO_CFLAGS@
287 MATIO_ENABLE = @MATIO_ENABLE@
288 MATIO_LIBS = @MATIO_LIBS@
289 MKDIR_P = @MKDIR_P@
290 MSGCAT = @MSGCAT@
291 MSGFMT = @MSGFMT@
292 MSGFMT_015 = @MSGFMT_015@
293 MSGMERGE = @MSGMERGE@
294 NM = @NM@
295 NMEDIT = @NMEDIT@
296 OBJDUMP = @OBJDUMP@
297 OBJEXT = @OBJEXT@
298 OCAMLC = @OCAMLC@
299 OCAMLDEP = @OCAMLDEP@
300 OCAMLLEX = @OCAMLLEX@
301 OCAMLOPT = @OCAMLOPT@
302 OCAMLYACC = @OCAMLYACC@
303 OPENMP_CFLAGS = @OPENMP_CFLAGS@
304 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
305 OPENMP_ENABLE = @OPENMP_ENABLE@
306 OPENMP_LIBS = @OPENMP_LIBS@
307 OTOOL = @OTOOL@
308 OTOOL64 = @OTOOL64@
309 PACKAGE = @PACKAGE@
310 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
311 PACKAGE_NAME = @PACKAGE_NAME@
312 PACKAGE_STRING = @PACKAGE_STRING@
313 PACKAGE_TARNAME = @PACKAGE_TARNAME@
314 PACKAGE_URL = @PACKAGE_URL@
315 PACKAGE_VERSION = @PACKAGE_VERSION@
316 PATH_SEPARATOR = @PATH_SEPARATOR@
317 PCRE_CFLAGS = @PCRE_CFLAGS@
318 PCRE_CONFIG = @PCRE_CONFIG@
319 PCRE_LIBS = @PCRE_LIBS@
320 PCRE_VERSION = @PCRE_VERSION@
321 PKG_CONFIG = @PKG_CONFIG@
322 POSUB = @POSUB@
323 POW_LIB = @POW_LIB@
324 PYTHON = @PYTHON@
325 QDOX = @QDOX@
326 RANLIB = @RANLIB@
327 RELOCATABLE = @RELOCATABLE@
328 RT_LIB = @RT_LIB@
329 SAXON = @SAXON@
330 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
331 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
332 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
333 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
334 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
335 SED = @SED@
336 SET_MAKE = @SET_MAKE@
337 SET_RELOCATABLE = @SET_RELOCATABLE@
338 SHELL = @SHELL@
339 SKINLF = @SKINLF@
340 SPLINT = @SPLINT@
341 STRIP = @STRIP@
342 SWIG_BIN = @SWIG_BIN@
343 SWIG_JAVA = @SWIG_JAVA@
344 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
345 TCLTK_LIBS = @TCLTK_LIBS@
346 TCL_INC_PATH = @TCL_INC_PATH@
347 TESTNG = @TESTNG@
348 TK_INC_PATH = @TK_INC_PATH@
349 UMFPACK_ENABLE = @UMFPACK_ENABLE@
350 UMFPACK_LIB = @UMFPACK_LIB@
351 USE_NLS = @USE_NLS@
352 VERSION = @VERSION@
353 WITH_OCAML = @WITH_OCAML@
354 WITH_TKSCI = @WITH_TKSCI@
355 XCOS_ENABLE = @XCOS_ENABLE@
356 XGETTEXT = @XGETTEXT@
357 XGETTEXT_015 = @XGETTEXT_015@
358 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
359 XMKMF = @XMKMF@
360 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
361 XML_APIS_EXT = @XML_APIS_EXT@
362 XML_CONFIG = @XML_CONFIG@
363 XML_FLAGS = @XML_FLAGS@
364 XML_LIBS = @XML_LIBS@
365 XML_VERSION = @XML_VERSION@
366 X_CFLAGS = @X_CFLAGS@
367 X_EXTRA_LIBS = @X_EXTRA_LIBS@
368 X_LIBS = @X_LIBS@
369 X_PRE_LIBS = @X_PRE_LIBS@
370 abs_builddir = @abs_builddir@
371 abs_srcdir = @abs_srcdir@
372 abs_top_builddir = @abs_top_builddir@
373 abs_top_srcdir = @abs_top_srcdir@
374 ac_ct_CC = @ac_ct_CC@
375 ac_ct_CXX = @ac_ct_CXX@
376 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
377 ac_ct_F77 = @ac_ct_F77@
378 am__include = @am__include@
379 am__leading_dot = @am__leading_dot@
380 am__quote = @am__quote@
381 am__tar = @am__tar@
382 am__untar = @am__untar@
383 bindir = @bindir@
384 build = @build@
385 build_alias = @build_alias@
386 build_cpu = @build_cpu@
387 build_os = @build_os@
388 build_vendor = @build_vendor@
389 builddir = @builddir@
390 cxx_present = @cxx_present@
391 datadir = @datadir@
392 datarootdir = @datarootdir@
393 docdir = @docdir@
394 dvidir = @dvidir@
395 exec_prefix = @exec_prefix@
396 host = @host@
397 host_alias = @host_alias@
398 host_cpu = @host_cpu@
399 host_os = @host_os@
400 host_vendor = @host_vendor@
401 htmldir = @htmldir@
402 includedir = @includedir@
403 infodir = @infodir@
404 install_sh = @install_sh@
405 libdir = @libdir@
406 libexecdir = @libexecdir@
407 localedir = @localedir@
408 localstatedir = @localstatedir@
409 mandir = @mandir@
410 mkdir_p = @mkdir_p@
411 oldincludedir = @oldincludedir@
412 pdfdir = @pdfdir@
413 prefix = @prefix@
414 program_transform_name = @program_transform_name@
415 psdir = @psdir@
416 sbindir = @sbindir@
417 sharedstatedir = @sharedstatedir@
418 srcdir = @srcdir@
419 sysconfdir = @sysconfdir@
420 target_alias = @target_alias@
421 top_build_prefix = @top_build_prefix@
422 top_builddir = @top_builddir@
423 top_srcdir = @top_srcdir@
424 IO_C_SOURCES = src/c/getpidc.c \
425 src/c/setenvc.c \
426 src/c/systemc.c \
427 src/c/getenvc.c \
428 src/c/GetenvB.c \
429 src/c/v2cuniterror.c
430
431 IO_FORTRAN_SOURCES = src/fortran/v2unit.f \
432 src/fortran/newsave.f \
433 src/fortran/v2cunit.f
434
435 GATEWAY_C_SOURCES = sci_gateway/c/sci_read4b.c \
436 sci_gateway/c/sci_getio.c \
437 sci_gateway/c/sci_readb.c \
438 sci_gateway/c/sci_host.c \
439 sci_gateway/c/sci_file.c \
440 sci_gateway/c/sci_getenv.c \
441 sci_gateway/c/sci_write.c \
442 sci_gateway/c/sci_writeb.c \
443 sci_gateway/c/sci_setenv.c \
444 sci_gateway/c/gw_io.c \
445 sci_gateway/c/sci_read.c \
446 sci_gateway/c/sci_getpid.c \
447 sci_gateway/c/sci_write4b.c \
448 sci_gateway/c/sci_load.c \
449 sci_gateway/c/sci_unix.c \
450 sci_gateway/c/sci_save.c
451
452 GATEWAY_FORTRAN_SOURCES = sci_gateway/fortran/intwrite4b.f \
453 sci_gateway/fortran/intwritb.f \
454 sci_gateway/fortran/intwrite.f \
455 sci_gateway/fortran/intread4b.f \
456 sci_gateway/fortran/intread.f \
457 sci_gateway/fortran/intreadb.f \
458 sci_gateway/fortran/intfile.f
459
460 libsciio_la_CFLAGS = -I$(srcdir)/includes/ \
461                         -I$(srcdir)/src/c/ \
462                         -I$(top_srcdir)/libs/MALLOC/includes/ \
463                         -I$(top_srcdir)/modules/fileio/includes/ \
464                         -I$(top_srcdir)/modules/api_scilab/includes/ \
465                         -I$(top_srcdir)/modules/output_stream/includes/
466
467 libsciio_la_CPPFLAGS = -I$(srcdir)/includes/ \
468                         -I$(top_srcdir)/modules/core/includes/ \
469                         -I$(top_srcdir)/modules/api_scilab/includes \
470                         -I$(top_srcdir)/modules/output_stream/includes/
471
472 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libsciio.la
473 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libsciio-algo.la libsciio.la
474 @MAINTAINER_MODE_TRUE@noinst_LTLIBRARIES = libsciio-algo.la
475 libsciio_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION)
476 libsciio_algo_la_SOURCES = $(IO_C_SOURCES) $(IO_FORTRAN_SOURCES)
477 libsciio_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_FORTRAN_SOURCES)
478 libsciio_algo_la_CFLAGS = $(libsciio_la_CFLAGS)
479
480 # For the code check (splint)
481 CHECK_SRC = $(IO_C_SOURCES) $(GATEWAY_C_SOURCES)
482 INCLUDE_FLAGS = $(libsciio_la_CFLAGS)
483 libsciio_la_LIBADD = libsciio-algo.la
484
485 #### Target ######
486 modulename = io
487
488 #### io : Conf files ####
489 libsciio_la_rootdir = $(mydatadir)
490 libsciio_la_root_DATA = license.txt 
491
492 ####io : init scripts ####
493 libsciio_la_etcdir = $(mydatadir)/etc
494 libsciio_la_etc_DATA = etc/io.quit etc/io.start
495
496 ####io : gateway declaration ####
497 libsciio_la_sci_gatewaydir = $(mydatadir)/sci_gateway
498 libsciio_la_sci_gateway_DATA = sci_gateway/io_gateway.xml
499
500 # Where all the Scilab stuff is installed (macros, help, ...)
501 mydatadir = $(pkgdatadir)/modules/$(modulename)
502
503 # splint options
504 SPLINT_OPTIONS = -weak -booltype BOOL
505
506 ########################### JAVA ######################################
507 #### We are delegating java compilation to ant... Thanks to that
508 #### the procedure will be the same with Microsoft Windows (C)
509 #### and Linux/Unix
510 #######################################################################
511 TARGETS_ALL = $(am__append_1)
512
513 ################ MACROS ######################
514 # Rule to build a macro
515 # NOT USED  AT THE MOMENT
516 SUFFIXES = .sci 
517
518 ########### INSTALL DOCUMENTATION ###################
519
520 # Install documentation files into the right target
521 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
522 # automake needs the html files to be present which is not the case when
523 # we are building Scilab
524
525 # Where it should be installed
526 pkgdocdir = $(mydatadir)
527
528 # What is the mask of the help source
529 DOCMASKXML = *.xml
530
531 # What is the mask of the MathML sources
532 DOCMASKMML = *.mml
533
534 ########### INSTALL DATA ###################
535 # Install macros, help & demos
536 # Where it should be installed
537 pkgmacrosdir = $(mydatadir)
538 # Which directory we process
539 MACRODIRS = macros/
540 # Mask of the Scilab sources macros
541 MACROMASK = *.sci
542 # Mask of the Scilab executable sources macros
543 MACROBUILDMASK = *.sce
544 # Mask of the Scilab compiled macros
545 MACROBINMASK = *.bin
546 # List of the standard directory for tests
547 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
548 # Where the demos should be installed
549 pkgdemosdir = $(mydatadir)
550 # List of the standard directory for demos
551 DEMOS_DIR = demos
552 # List of the standard directory for examples
553 EXAMPLES_DIR = examples
554 # Where to export JAVA archives (.jar)
555 JARDIR = jar/
556 # JAR files mask
557 JARMASK = *.jar
558 # Chapter file 
559 HELP_CHAPTERDIR = help/
560 HELP_CHAPTERFILE = addchapter.sce
561 HELP_CHAPTERLANG = en_US fr_FR pt_BR
562 all: all-am
563
564 .SUFFIXES:
565 .SUFFIXES: .sci .bin .c .f .lo .o .obj
566 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
567         @for dep in $?; do \
568           case '$(am__configure_deps)' in \
569             *$$dep*) \
570               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
571                 && { if test -f $@; then exit 0; else break; fi; }; \
572               exit 1;; \
573           esac; \
574         done; \
575         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/io/Makefile'; \
576         $(am__cd) $(top_srcdir) && \
577           $(AUTOMAKE) --foreign modules/io/Makefile
578 .PRECIOUS: Makefile
579 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
580         @case '$?' in \
581           *config.status*) \
582             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
583           *) \
584             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
585             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
586         esac;
587
588 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
589         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
590
591 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
592         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
593 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
594         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
595 $(am__aclocal_m4_deps):
596
597 clean-noinstLTLIBRARIES:
598         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
599         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
600           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
601           test "$$dir" != "$$p" || dir=.; \
602           echo "rm -f \"$${dir}/so_locations\""; \
603           rm -f "$${dir}/so_locations"; \
604         done
605 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
606         @$(NORMAL_INSTALL)
607         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
608         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
609         list2=; for p in $$list; do \
610           if test -f $$p; then \
611             list2="$$list2 $$p"; \
612           else :; fi; \
613         done; \
614         test -z "$$list2" || { \
615           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
616           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
617         }
618
619 uninstall-pkglibLTLIBRARIES:
620         @$(NORMAL_UNINSTALL)
621         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
622         for p in $$list; do \
623           $(am__strip_dir) \
624           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
625           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
626         done
627
628 clean-pkglibLTLIBRARIES:
629         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
630         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
631           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
632           test "$$dir" != "$$p" || dir=.; \
633           echo "rm -f \"$${dir}/so_locations\""; \
634           rm -f "$${dir}/so_locations"; \
635         done
636 libsciio-algo.la: $(libsciio_algo_la_OBJECTS) $(libsciio_algo_la_DEPENDENCIES) 
637         $(F77LINK) $(am_libsciio_algo_la_rpath) $(libsciio_algo_la_OBJECTS) $(libsciio_algo_la_LIBADD) $(LIBS)
638 libsciio.la: $(libsciio_la_OBJECTS) $(libsciio_la_DEPENDENCIES) 
639         $(libsciio_la_LINK) $(am_libsciio_la_rpath) $(libsciio_la_OBJECTS) $(libsciio_la_LIBADD) $(LIBS)
640
641 mostlyclean-compile:
642         -rm -f *.$(OBJEXT)
643
644 distclean-compile:
645         -rm -f *.tab.c
646
647 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-GetenvB.Plo@am__quote@
648 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-getenvc.Plo@am__quote@
649 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-getpidc.Plo@am__quote@
650 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-setenvc.Plo@am__quote@
651 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-systemc.Plo@am__quote@
652 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-v2cuniterror.Plo@am__quote@
653 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-gw_io.Plo@am__quote@
654 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_file.Plo@am__quote@
655 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_getenv.Plo@am__quote@
656 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_getio.Plo@am__quote@
657 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_getpid.Plo@am__quote@
658 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_host.Plo@am__quote@
659 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_load.Plo@am__quote@
660 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_read.Plo@am__quote@
661 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_read4b.Plo@am__quote@
662 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_readb.Plo@am__quote@
663 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_save.Plo@am__quote@
664 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_setenv.Plo@am__quote@
665 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_unix.Plo@am__quote@
666 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_write.Plo@am__quote@
667 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_write4b.Plo@am__quote@
668 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_writeb.Plo@am__quote@
669
670 .c.o:
671 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
672 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
673 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
674 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
675 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
676
677 .c.obj:
678 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
679 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
680 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
681 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
682 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
683
684 .c.lo:
685 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
686 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
687 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
688 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
689 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
690
691 libsciio_algo_la-getpidc.lo: src/c/getpidc.c
692 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-getpidc.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-getpidc.Tpo -c -o libsciio_algo_la-getpidc.lo `test -f 'src/c/getpidc.c' || echo '$(srcdir)/'`src/c/getpidc.c
693 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_algo_la-getpidc.Tpo $(DEPDIR)/libsciio_algo_la-getpidc.Plo
694 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/getpidc.c' object='libsciio_algo_la-getpidc.lo' libtool=yes @AMDEPBACKSLASH@
695 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
696 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-getpidc.lo `test -f 'src/c/getpidc.c' || echo '$(srcdir)/'`src/c/getpidc.c
697
698 libsciio_algo_la-setenvc.lo: src/c/setenvc.c
699 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-setenvc.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-setenvc.Tpo -c -o libsciio_algo_la-setenvc.lo `test -f 'src/c/setenvc.c' || echo '$(srcdir)/'`src/c/setenvc.c
700 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_algo_la-setenvc.Tpo $(DEPDIR)/libsciio_algo_la-setenvc.Plo
701 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/setenvc.c' object='libsciio_algo_la-setenvc.lo' libtool=yes @AMDEPBACKSLASH@
702 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
703 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-setenvc.lo `test -f 'src/c/setenvc.c' || echo '$(srcdir)/'`src/c/setenvc.c
704
705 libsciio_algo_la-systemc.lo: src/c/systemc.c
706 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-systemc.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-systemc.Tpo -c -o libsciio_algo_la-systemc.lo `test -f 'src/c/systemc.c' || echo '$(srcdir)/'`src/c/systemc.c
707 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_algo_la-systemc.Tpo $(DEPDIR)/libsciio_algo_la-systemc.Plo
708 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/systemc.c' object='libsciio_algo_la-systemc.lo' libtool=yes @AMDEPBACKSLASH@
709 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
710 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-systemc.lo `test -f 'src/c/systemc.c' || echo '$(srcdir)/'`src/c/systemc.c
711
712 libsciio_algo_la-getenvc.lo: src/c/getenvc.c
713 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-getenvc.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-getenvc.Tpo -c -o libsciio_algo_la-getenvc.lo `test -f 'src/c/getenvc.c' || echo '$(srcdir)/'`src/c/getenvc.c
714 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_algo_la-getenvc.Tpo $(DEPDIR)/libsciio_algo_la-getenvc.Plo
715 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/getenvc.c' object='libsciio_algo_la-getenvc.lo' libtool=yes @AMDEPBACKSLASH@
716 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
717 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-getenvc.lo `test -f 'src/c/getenvc.c' || echo '$(srcdir)/'`src/c/getenvc.c
718
719 libsciio_algo_la-GetenvB.lo: src/c/GetenvB.c
720 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-GetenvB.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-GetenvB.Tpo -c -o libsciio_algo_la-GetenvB.lo `test -f 'src/c/GetenvB.c' || echo '$(srcdir)/'`src/c/GetenvB.c
721 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_algo_la-GetenvB.Tpo $(DEPDIR)/libsciio_algo_la-GetenvB.Plo
722 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/GetenvB.c' object='libsciio_algo_la-GetenvB.lo' libtool=yes @AMDEPBACKSLASH@
723 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
724 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-GetenvB.lo `test -f 'src/c/GetenvB.c' || echo '$(srcdir)/'`src/c/GetenvB.c
725
726 libsciio_algo_la-v2cuniterror.lo: src/c/v2cuniterror.c
727 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-v2cuniterror.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-v2cuniterror.Tpo -c -o libsciio_algo_la-v2cuniterror.lo `test -f 'src/c/v2cuniterror.c' || echo '$(srcdir)/'`src/c/v2cuniterror.c
728 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_algo_la-v2cuniterror.Tpo $(DEPDIR)/libsciio_algo_la-v2cuniterror.Plo
729 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/v2cuniterror.c' object='libsciio_algo_la-v2cuniterror.lo' libtool=yes @AMDEPBACKSLASH@
730 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
731 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-v2cuniterror.lo `test -f 'src/c/v2cuniterror.c' || echo '$(srcdir)/'`src/c/v2cuniterror.c
732
733 libsciio_la-sci_read4b.lo: sci_gateway/c/sci_read4b.c
734 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_read4b.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_read4b.Tpo -c -o libsciio_la-sci_read4b.lo `test -f 'sci_gateway/c/sci_read4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read4b.c
735 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_read4b.Tpo $(DEPDIR)/libsciio_la-sci_read4b.Plo
736 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_read4b.c' object='libsciio_la-sci_read4b.lo' libtool=yes @AMDEPBACKSLASH@
737 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
738 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_read4b.lo `test -f 'sci_gateway/c/sci_read4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read4b.c
739
740 libsciio_la-sci_getio.lo: sci_gateway/c/sci_getio.c
741 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_getio.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_getio.Tpo -c -o libsciio_la-sci_getio.lo `test -f 'sci_gateway/c/sci_getio.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getio.c
742 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_getio.Tpo $(DEPDIR)/libsciio_la-sci_getio.Plo
743 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_getio.c' object='libsciio_la-sci_getio.lo' libtool=yes @AMDEPBACKSLASH@
744 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
745 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_getio.lo `test -f 'sci_gateway/c/sci_getio.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getio.c
746
747 libsciio_la-sci_readb.lo: sci_gateway/c/sci_readb.c
748 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_readb.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_readb.Tpo -c -o libsciio_la-sci_readb.lo `test -f 'sci_gateway/c/sci_readb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_readb.c
749 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_readb.Tpo $(DEPDIR)/libsciio_la-sci_readb.Plo
750 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_readb.c' object='libsciio_la-sci_readb.lo' libtool=yes @AMDEPBACKSLASH@
751 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
752 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_readb.lo `test -f 'sci_gateway/c/sci_readb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_readb.c
753
754 libsciio_la-sci_host.lo: sci_gateway/c/sci_host.c
755 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_host.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_host.Tpo -c -o libsciio_la-sci_host.lo `test -f 'sci_gateway/c/sci_host.c' || echo '$(srcdir)/'`sci_gateway/c/sci_host.c
756 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_host.Tpo $(DEPDIR)/libsciio_la-sci_host.Plo
757 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_host.c' object='libsciio_la-sci_host.lo' libtool=yes @AMDEPBACKSLASH@
758 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
759 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_host.lo `test -f 'sci_gateway/c/sci_host.c' || echo '$(srcdir)/'`sci_gateway/c/sci_host.c
760
761 libsciio_la-sci_file.lo: sci_gateway/c/sci_file.c
762 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_file.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_file.Tpo -c -o libsciio_la-sci_file.lo `test -f 'sci_gateway/c/sci_file.c' || echo '$(srcdir)/'`sci_gateway/c/sci_file.c
763 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_file.Tpo $(DEPDIR)/libsciio_la-sci_file.Plo
764 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_file.c' object='libsciio_la-sci_file.lo' libtool=yes @AMDEPBACKSLASH@
765 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
766 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_file.lo `test -f 'sci_gateway/c/sci_file.c' || echo '$(srcdir)/'`sci_gateway/c/sci_file.c
767
768 libsciio_la-sci_getenv.lo: sci_gateway/c/sci_getenv.c
769 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_getenv.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_getenv.Tpo -c -o libsciio_la-sci_getenv.lo `test -f 'sci_gateway/c/sci_getenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getenv.c
770 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_getenv.Tpo $(DEPDIR)/libsciio_la-sci_getenv.Plo
771 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_getenv.c' object='libsciio_la-sci_getenv.lo' libtool=yes @AMDEPBACKSLASH@
772 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
773 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_getenv.lo `test -f 'sci_gateway/c/sci_getenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getenv.c
774
775 libsciio_la-sci_write.lo: sci_gateway/c/sci_write.c
776 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_write.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_write.Tpo -c -o libsciio_la-sci_write.lo `test -f 'sci_gateway/c/sci_write.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write.c
777 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_write.Tpo $(DEPDIR)/libsciio_la-sci_write.Plo
778 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_write.c' object='libsciio_la-sci_write.lo' libtool=yes @AMDEPBACKSLASH@
779 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
780 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_write.lo `test -f 'sci_gateway/c/sci_write.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write.c
781
782 libsciio_la-sci_writeb.lo: sci_gateway/c/sci_writeb.c
783 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_writeb.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_writeb.Tpo -c -o libsciio_la-sci_writeb.lo `test -f 'sci_gateway/c/sci_writeb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_writeb.c
784 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_writeb.Tpo $(DEPDIR)/libsciio_la-sci_writeb.Plo
785 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_writeb.c' object='libsciio_la-sci_writeb.lo' libtool=yes @AMDEPBACKSLASH@
786 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
787 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_writeb.lo `test -f 'sci_gateway/c/sci_writeb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_writeb.c
788
789 libsciio_la-sci_setenv.lo: sci_gateway/c/sci_setenv.c
790 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_setenv.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_setenv.Tpo -c -o libsciio_la-sci_setenv.lo `test -f 'sci_gateway/c/sci_setenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setenv.c
791 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_setenv.Tpo $(DEPDIR)/libsciio_la-sci_setenv.Plo
792 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_setenv.c' object='libsciio_la-sci_setenv.lo' libtool=yes @AMDEPBACKSLASH@
793 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
794 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_setenv.lo `test -f 'sci_gateway/c/sci_setenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setenv.c
795
796 libsciio_la-gw_io.lo: sci_gateway/c/gw_io.c
797 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-gw_io.lo -MD -MP -MF $(DEPDIR)/libsciio_la-gw_io.Tpo -c -o libsciio_la-gw_io.lo `test -f 'sci_gateway/c/gw_io.c' || echo '$(srcdir)/'`sci_gateway/c/gw_io.c
798 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-gw_io.Tpo $(DEPDIR)/libsciio_la-gw_io.Plo
799 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_io.c' object='libsciio_la-gw_io.lo' libtool=yes @AMDEPBACKSLASH@
800 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
801 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-gw_io.lo `test -f 'sci_gateway/c/gw_io.c' || echo '$(srcdir)/'`sci_gateway/c/gw_io.c
802
803 libsciio_la-sci_read.lo: sci_gateway/c/sci_read.c
804 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_read.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_read.Tpo -c -o libsciio_la-sci_read.lo `test -f 'sci_gateway/c/sci_read.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read.c
805 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_read.Tpo $(DEPDIR)/libsciio_la-sci_read.Plo
806 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_read.c' object='libsciio_la-sci_read.lo' libtool=yes @AMDEPBACKSLASH@
807 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
808 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_read.lo `test -f 'sci_gateway/c/sci_read.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read.c
809
810 libsciio_la-sci_getpid.lo: sci_gateway/c/sci_getpid.c
811 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_getpid.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_getpid.Tpo -c -o libsciio_la-sci_getpid.lo `test -f 'sci_gateway/c/sci_getpid.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getpid.c
812 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_getpid.Tpo $(DEPDIR)/libsciio_la-sci_getpid.Plo
813 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_getpid.c' object='libsciio_la-sci_getpid.lo' libtool=yes @AMDEPBACKSLASH@
814 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
815 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_getpid.lo `test -f 'sci_gateway/c/sci_getpid.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getpid.c
816
817 libsciio_la-sci_write4b.lo: sci_gateway/c/sci_write4b.c
818 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_write4b.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_write4b.Tpo -c -o libsciio_la-sci_write4b.lo `test -f 'sci_gateway/c/sci_write4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write4b.c
819 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_write4b.Tpo $(DEPDIR)/libsciio_la-sci_write4b.Plo
820 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_write4b.c' object='libsciio_la-sci_write4b.lo' libtool=yes @AMDEPBACKSLASH@
821 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
822 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_write4b.lo `test -f 'sci_gateway/c/sci_write4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write4b.c
823
824 libsciio_la-sci_load.lo: sci_gateway/c/sci_load.c
825 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_load.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_load.Tpo -c -o libsciio_la-sci_load.lo `test -f 'sci_gateway/c/sci_load.c' || echo '$(srcdir)/'`sci_gateway/c/sci_load.c
826 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_load.Tpo $(DEPDIR)/libsciio_la-sci_load.Plo
827 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_load.c' object='libsciio_la-sci_load.lo' libtool=yes @AMDEPBACKSLASH@
828 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
829 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_load.lo `test -f 'sci_gateway/c/sci_load.c' || echo '$(srcdir)/'`sci_gateway/c/sci_load.c
830
831 libsciio_la-sci_unix.lo: sci_gateway/c/sci_unix.c
832 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_unix.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_unix.Tpo -c -o libsciio_la-sci_unix.lo `test -f 'sci_gateway/c/sci_unix.c' || echo '$(srcdir)/'`sci_gateway/c/sci_unix.c
833 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_unix.Tpo $(DEPDIR)/libsciio_la-sci_unix.Plo
834 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_unix.c' object='libsciio_la-sci_unix.lo' libtool=yes @AMDEPBACKSLASH@
835 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
836 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_unix.lo `test -f 'sci_gateway/c/sci_unix.c' || echo '$(srcdir)/'`sci_gateway/c/sci_unix.c
837
838 libsciio_la-sci_save.lo: sci_gateway/c/sci_save.c
839 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_save.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_save.Tpo -c -o libsciio_la-sci_save.lo `test -f 'sci_gateway/c/sci_save.c' || echo '$(srcdir)/'`sci_gateway/c/sci_save.c
840 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_save.Tpo $(DEPDIR)/libsciio_la-sci_save.Plo
841 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_save.c' object='libsciio_la-sci_save.lo' libtool=yes @AMDEPBACKSLASH@
842 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
843 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_save.lo `test -f 'sci_gateway/c/sci_save.c' || echo '$(srcdir)/'`sci_gateway/c/sci_save.c
844
845 .f.o:
846         $(F77COMPILE) -c -o $@ $<
847
848 .f.obj:
849         $(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
850
851 .f.lo:
852         $(LTF77COMPILE) -c -o $@ $<
853
854 v2unit.lo: src/fortran/v2unit.f
855         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o v2unit.lo `test -f 'src/fortran/v2unit.f' || echo '$(srcdir)/'`src/fortran/v2unit.f
856
857 newsave.lo: src/fortran/newsave.f
858         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o newsave.lo `test -f 'src/fortran/newsave.f' || echo '$(srcdir)/'`src/fortran/newsave.f
859
860 v2cunit.lo: src/fortran/v2cunit.f
861         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o v2cunit.lo `test -f 'src/fortran/v2cunit.f' || echo '$(srcdir)/'`src/fortran/v2cunit.f
862
863 intwrite4b.lo: sci_gateway/fortran/intwrite4b.f
864         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intwrite4b.lo `test -f 'sci_gateway/fortran/intwrite4b.f' || echo '$(srcdir)/'`sci_gateway/fortran/intwrite4b.f
865
866 intwritb.lo: sci_gateway/fortran/intwritb.f
867         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intwritb.lo `test -f 'sci_gateway/fortran/intwritb.f' || echo '$(srcdir)/'`sci_gateway/fortran/intwritb.f
868
869 intwrite.lo: sci_gateway/fortran/intwrite.f
870         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intwrite.lo `test -f 'sci_gateway/fortran/intwrite.f' || echo '$(srcdir)/'`sci_gateway/fortran/intwrite.f
871
872 intread4b.lo: sci_gateway/fortran/intread4b.f
873         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intread4b.lo `test -f 'sci_gateway/fortran/intread4b.f' || echo '$(srcdir)/'`sci_gateway/fortran/intread4b.f
874
875 intread.lo: sci_gateway/fortran/intread.f
876         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intread.lo `test -f 'sci_gateway/fortran/intread.f' || echo '$(srcdir)/'`sci_gateway/fortran/intread.f
877
878 intreadb.lo: sci_gateway/fortran/intreadb.f
879         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intreadb.lo `test -f 'sci_gateway/fortran/intreadb.f' || echo '$(srcdir)/'`sci_gateway/fortran/intreadb.f
880
881 intfile.lo: sci_gateway/fortran/intfile.f
882         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intfile.lo `test -f 'sci_gateway/fortran/intfile.f' || echo '$(srcdir)/'`sci_gateway/fortran/intfile.f
883
884 mostlyclean-libtool:
885         -rm -f *.lo
886
887 clean-libtool:
888         -rm -rf .libs _libs
889 install-libsciio_la_etcDATA: $(libsciio_la_etc_DATA)
890         @$(NORMAL_INSTALL)
891         test -z "$(libsciio_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciio_la_etcdir)"
892         @list='$(libsciio_la_etc_DATA)'; test -n "$(libsciio_la_etcdir)" || list=; \
893         for p in $$list; do \
894           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
895           echo "$$d$$p"; \
896         done | $(am__base_list) | \
897         while read files; do \
898           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciio_la_etcdir)'"; \
899           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciio_la_etcdir)" || exit $$?; \
900         done
901
902 uninstall-libsciio_la_etcDATA:
903         @$(NORMAL_UNINSTALL)
904         @list='$(libsciio_la_etc_DATA)'; test -n "$(libsciio_la_etcdir)" || list=; \
905         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
906         dir='$(DESTDIR)$(libsciio_la_etcdir)'; $(am__uninstall_files_from_dir)
907 install-libsciio_la_rootDATA: $(libsciio_la_root_DATA)
908         @$(NORMAL_INSTALL)
909         test -z "$(libsciio_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciio_la_rootdir)"
910         @list='$(libsciio_la_root_DATA)'; test -n "$(libsciio_la_rootdir)" || list=; \
911         for p in $$list; do \
912           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
913           echo "$$d$$p"; \
914         done | $(am__base_list) | \
915         while read files; do \
916           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciio_la_rootdir)'"; \
917           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciio_la_rootdir)" || exit $$?; \
918         done
919
920 uninstall-libsciio_la_rootDATA:
921         @$(NORMAL_UNINSTALL)
922         @list='$(libsciio_la_root_DATA)'; test -n "$(libsciio_la_rootdir)" || list=; \
923         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
924         dir='$(DESTDIR)$(libsciio_la_rootdir)'; $(am__uninstall_files_from_dir)
925 install-libsciio_la_sci_gatewayDATA: $(libsciio_la_sci_gateway_DATA)
926         @$(NORMAL_INSTALL)
927         test -z "$(libsciio_la_sci_gatewaydir)" || $(MKDIR_P) "$(DESTDIR)$(libsciio_la_sci_gatewaydir)"
928         @list='$(libsciio_la_sci_gateway_DATA)'; test -n "$(libsciio_la_sci_gatewaydir)" || list=; \
929         for p in $$list; do \
930           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
931           echo "$$d$$p"; \
932         done | $(am__base_list) | \
933         while read files; do \
934           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciio_la_sci_gatewaydir)'"; \
935           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciio_la_sci_gatewaydir)" || exit $$?; \
936         done
937
938 uninstall-libsciio_la_sci_gatewayDATA:
939         @$(NORMAL_UNINSTALL)
940         @list='$(libsciio_la_sci_gateway_DATA)'; test -n "$(libsciio_la_sci_gatewaydir)" || list=; \
941         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
942         dir='$(DESTDIR)$(libsciio_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
943
944 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
945         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
946         unique=`for i in $$list; do \
947             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
948           done | \
949           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
950               END { if (nonempty) { for (i in files) print i; }; }'`; \
951         mkid -fID $$unique
952 tags: TAGS
953
954 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
955                 $(TAGS_FILES) $(LISP)
956         set x; \
957         here=`pwd`; \
958         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
959         unique=`for i in $$list; do \
960             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
961           done | \
962           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
963               END { if (nonempty) { for (i in files) print i; }; }'`; \
964         shift; \
965         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
966           test -n "$$unique" || unique=$$empty_fix; \
967           if test $$# -gt 0; then \
968             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
969               "$$@" $$unique; \
970           else \
971             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
972               $$unique; \
973           fi; \
974         fi
975 ctags: CTAGS
976 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
977                 $(TAGS_FILES) $(LISP)
978         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
979         unique=`for i in $$list; do \
980             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
981           done | \
982           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
983               END { if (nonempty) { for (i in files) print i; }; }'`; \
984         test -z "$(CTAGS_ARGS)$$unique" \
985           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
986              $$unique
987
988 GTAGS:
989         here=`$(am__cd) $(top_builddir) && pwd` \
990           && $(am__cd) $(top_srcdir) \
991           && gtags -i $(GTAGS_ARGS) "$$here"
992
993 distclean-tags:
994         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
995
996 distdir: $(DISTFILES)
997         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
998         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
999         list='$(DISTFILES)'; \
1000           dist_files=`for file in $$list; do echo $$file; done | \
1001           sed -e "s|^$$srcdirstrip/||;t" \
1002               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1003         case $$dist_files in \
1004           */*) $(MKDIR_P) `echo "$$dist_files" | \
1005                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1006                            sort -u` ;; \
1007         esac; \
1008         for file in $$dist_files; do \
1009           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1010           if test -d $$d/$$file; then \
1011             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1012             if test -d "$(distdir)/$$file"; then \
1013               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1014             fi; \
1015             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1016               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1017               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1018             fi; \
1019             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1020           else \
1021             test -f "$(distdir)/$$file" \
1022             || cp -p $$d/$$file "$(distdir)/$$file" \
1023             || exit 1; \
1024           fi; \
1025         done
1026 check-am: all-am
1027         $(MAKE) $(AM_MAKEFLAGS) check-local
1028 check: check-am
1029 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1030 installdirs:
1031         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciio_la_etcdir)" "$(DESTDIR)$(libsciio_la_rootdir)" "$(DESTDIR)$(libsciio_la_sci_gatewaydir)"; do \
1032           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1033         done
1034 install: install-am
1035 install-exec: install-exec-am
1036 install-data: install-data-am
1037 uninstall: uninstall-am
1038
1039 install-am: all-am
1040         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1041
1042 installcheck: installcheck-am
1043 install-strip:
1044         if test -z '$(STRIP)'; then \
1045           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1046             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1047               install; \
1048         else \
1049           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1050             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1051             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1052         fi
1053 mostlyclean-generic:
1054
1055 clean-generic:
1056
1057 distclean-generic:
1058         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1059         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1060
1061 maintainer-clean-generic:
1062         @echo "This command is intended for maintainers to use"
1063         @echo "it deletes files that may require special tools to rebuild."
1064 clean: clean-am
1065
1066 clean-am: clean-generic clean-libtool clean-local \
1067         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1068
1069 distclean: distclean-am
1070         -rm -rf ./$(DEPDIR)
1071         -rm -f Makefile
1072 distclean-am: clean-am distclean-compile distclean-generic \
1073         distclean-local distclean-tags
1074
1075 dvi: dvi-am
1076
1077 dvi-am:
1078
1079 html: html-am
1080
1081 html-am:
1082
1083 info: info-am
1084
1085 info-am:
1086
1087 install-data-am: install-data-local install-libsciio_la_etcDATA \
1088         install-libsciio_la_rootDATA \
1089         install-libsciio_la_sci_gatewayDATA
1090
1091 install-dvi: install-dvi-am
1092
1093 install-dvi-am:
1094
1095 install-exec-am: install-pkglibLTLIBRARIES
1096
1097 install-html: install-html-am
1098
1099 install-html-am: install-html-local
1100
1101 install-info: install-info-am
1102
1103 install-info-am:
1104
1105 install-man:
1106
1107 install-pdf: install-pdf-am
1108
1109 install-pdf-am:
1110
1111 install-ps: install-ps-am
1112
1113 install-ps-am:
1114
1115 installcheck-am:
1116
1117 maintainer-clean: maintainer-clean-am
1118         -rm -rf ./$(DEPDIR)
1119         -rm -f Makefile
1120 maintainer-clean-am: distclean-am maintainer-clean-generic
1121
1122 mostlyclean: mostlyclean-am
1123
1124 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1125         mostlyclean-libtool
1126
1127 pdf: pdf-am
1128
1129 pdf-am:
1130
1131 ps: ps-am
1132
1133 ps-am:
1134
1135 uninstall-am: uninstall-libsciio_la_etcDATA \
1136         uninstall-libsciio_la_rootDATA \
1137         uninstall-libsciio_la_sci_gatewayDATA \
1138         uninstall-pkglibLTLIBRARIES
1139
1140 .MAKE: check-am install-am install-strip
1141
1142 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1143         clean clean-generic clean-libtool clean-local \
1144         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1145         distclean distclean-compile distclean-generic \
1146         distclean-libtool distclean-local distclean-tags distdir dvi \
1147         dvi-am html html-am info info-am install install-am \
1148         install-data install-data-am install-data-local install-dvi \
1149         install-dvi-am install-exec install-exec-am install-html \
1150         install-html-am install-html-local install-info \
1151         install-info-am install-libsciio_la_etcDATA \
1152         install-libsciio_la_rootDATA \
1153         install-libsciio_la_sci_gatewayDATA install-man install-pdf \
1154         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1155         install-ps-am install-strip installcheck installcheck-am \
1156         installdirs maintainer-clean maintainer-clean-generic \
1157         mostlyclean mostlyclean-compile mostlyclean-generic \
1158         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1159         uninstall-am uninstall-libsciio_la_etcDATA \
1160         uninstall-libsciio_la_rootDATA \
1161         uninstall-libsciio_la_sci_gatewayDATA \
1162         uninstall-pkglibLTLIBRARIES
1163
1164
1165 # This target enables tests for Scilab
1166 check-local: $(top_builddir)/scilab-bin test
1167         @COMMAND="test_run('$(modulename)');quit";\
1168         export LANG=C;\
1169         $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
1170 check-code:
1171         if test -f build.xml; then \
1172                 $(ANT) checkstyle; \
1173         fi
1174         if test -x "$(SPLINT)"; then \
1175                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1176         fi
1177 @NEED_JAVA_TRUE@java:
1178 # Some configurations needs to export JAVA_HOME in the current env
1179 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1180 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1181 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1182 @NEED_JAVA_TRUE@                $(ANT); \
1183 @NEED_JAVA_TRUE@        fi
1184
1185 @NEED_JAVA_TRUE@clean-java:
1186 # Some configurations needs to export JAVA_HOME in the current env
1187 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1188 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1189 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1190 @NEED_JAVA_TRUE@                $(ANT) clean; \
1191 @NEED_JAVA_TRUE@        fi;
1192
1193 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1194 # We call the target swig-build on the variable SWIG_WRAPPERS
1195
1196 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1197 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1198 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1199 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1200 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1201 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1202 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1203 @SWIG_TRUE@             done; \
1204 @SWIG_TRUE@     fi
1205
1206 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1207 # We call the target swig-build on the variable SWIG_WRAPPERS
1208
1209 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1210 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1211 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1212 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1213 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1214 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1215 @GIWS_TRUE@             done; \
1216 @GIWS_TRUE@     fi
1217
1218 @GIWS_TRUE@giws-exception:
1219 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1220 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1221 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1222
1223 macros:
1224         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1225                 echo "Error : Cannot build $< : Scilab has not been built"; \
1226         else \
1227                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1228         fi)
1229
1230 # Removes the macros
1231 clean-macros:
1232 # Removes macros (*.bin generated from .sci)
1233         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1234                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1235                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1236         done
1237
1238 test:
1239 # More tests could be added here
1240         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1241         if test -f build.xml -a $$USEANT -eq 1; then \
1242                 $(ANT) test; \
1243         fi
1244
1245 all-local: $(TARGETS_ALL)
1246
1247 .sci.bin:
1248         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1249         echo "Error : Cannot build $< : Scilab has not been build"; \
1250         else \
1251         echo "Creating $@"; \
1252         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1253         fi )
1254
1255 install-html-local:
1256
1257 install-data-local-local:
1258 # Mainly for javasci
1259         @if test -d $(srcdir)/javadoc; then \
1260                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1261         fi
1262 # If the user wants the help sources to be installed
1263 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1264 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1265 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1266 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1267 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1268 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1269 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1270 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1271 @INSTALL_HELP_XML_TRUE@           done ; \
1272 @INSTALL_HELP_XML_TRUE@         fi; \
1273 @INSTALL_HELP_XML_TRUE@  fi; \
1274 @INSTALL_HELP_XML_TRUE@ done; \
1275 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1276 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1277 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1278 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1279 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1280 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1281 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1282 @INSTALL_HELP_XML_TRUE@           done ; \
1283 @INSTALL_HELP_XML_TRUE@         fi; \
1284 @INSTALL_HELP_XML_TRUE@ fi
1285 install-data-local:
1286 # Install the tests
1287         @echo "-------- Install tests (if any) --------"; \
1288         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1289           if test -d $(srcdir)/$$dir/; then \
1290             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1291                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1292                     if test -d "$(srcdir)/$$dir/$$file"; then \
1293                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1294                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1295                     else \
1296                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1297                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1298                     fi \
1299                   done; \
1300           fi; \
1301         done
1302 # Install the help chapter
1303         @echo "-------- Install the help chapter (if any) --------"; \
1304         for lang in $(HELP_CHAPTERLANG); do \
1305                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1306                 if test -f $$HELPFILE; then \
1307                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1308                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1309                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1310                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1311                 fi; \
1312         done
1313 # Install the demos & examples
1314         @echo "-------- Install demos & examples (if any) --------"; \
1315         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1316           if test -d $(srcdir)/$$dir/; then \
1317             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1318                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1319                     if test -d "$(srcdir)/$$dir/$$file"; then \
1320                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1321                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1322                     else \
1323                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1324                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1325                     fi \
1326                   done; \
1327           fi; \
1328         done
1329 # Install the macros
1330         @echo "-------- Install macros (if any) --------"; \
1331         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1332           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1333                 if test -d $(srcdir)/$$dir/; then \
1334                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1335                         if test -n "$(MACROSSPECIALEXT)"; then \
1336                                 specialExtDir=""; \
1337                                 for specialExt in $(MACROSSPECIALEXT); do \
1338                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1339                                 done; \
1340                                 FILELIST="$$FILELIST $$specialExtDir"; \
1341                         fi; \
1342                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1343                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1344                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1345                   done; \
1346                 fi; \
1347         done
1348 # Install java files (.jar)
1349         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1350         echo "-------- Install jar files --------"; \
1351     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1352           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1353                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1354                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1355           done ; \
1356         fi
1357
1358 ########### CLEAN ###################
1359 # Clean help (generated automatically by Scilab)
1360 # It used to clean the macro (clean-macros) but this was causing
1361 # make clean && make to fail Scilab startup
1362 @NEED_JAVA_TRUE@clean-local: clean-java
1363 @NEED_JAVA_FALSE@clean-local:
1364
1365 distclean-local:
1366         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1367
1368 .PHONY: macros java swig giws
1369
1370 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1371 # Otherwise a system limit (for SysV at least) may be exceeded.
1372 .NOEXPORT: